cURL
curl --request POST \ --url https://api.raffcomputing.com/api/v1/projects \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "name": "production", "description": "<string>", "default_region": "us-east" } '
{ "success": true, "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "production", "slug": "production", "description": "<string>", "default_region": "us-east", "is_default": true, "is_active": true, "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } }
Create a new project within the authenticated account.
API key for authentication. Each key is bound to a specific account.
Project name
1 - 64
"production"
Project description
Default region for resources
us-east
"us-east"
Project created successfully
Show child attributes